Startseite » Forum » LiveConfig-Foren (deutsch) » Installation und Verwendung » Standard PHP-Version ändern
Seite 1 von 4 123 ... LetzteLetzte
Ergebnis 1 bis 10 von 33
  1. #1
    Erfahrener Benutzer
    Registriert seit
    21.07.2012
    Beiträge
    155

    Frage Standard PHP-Version ändern

    Guten Tag,

    wie kann die Standard PHP-Version in LiveConfig geändert werden?

    Bei jeder neu angelegten Domain/Subdomain wird automatisch immer die PHP-Version der Linux-Distribution verwendet, wie kann dieses geändert werden, wenn z.B. mehrere PHP-Versionen installiert sind?

    Danke
    Alex

  2. #2
    Erfahrener Benutzer
    Registriert seit
    04.02.2012
    Beiträge
    380
    Geht nicht. Wäre aber ein tolles Feature.....

  3. #3
    Erfahrener Benutzer
    Registriert seit
    21.08.2012
    Ort
    Lebus
    Beiträge
    429
    Hallo

    Würde ich auch gut finden.

    Mit freundlichen Grüßen

    Martin Krüger
    RB Media Group GmbH - Ihr IT Service & Webhosting Provider
    Geschäftsführer: M. Krüger | Beeskower Str. 259e | D - 15890 Eisenhüttenstadt |
    Kontakt: ICQ# 117049978 | E-Mail: m.krueger@rb-media-group.de

  4. #4
    Erfahrener Benutzer
    Registriert seit
    23.02.2013
    Beiträge
    209
    Würde ich auch sehr gut finden...

  5. #5
    Erfahrener Benutzer
    Registriert seit
    06.11.2013
    Beiträge
    317
    Bin auch dafür, das wäre echt eine Arbeitserleichterung!

  6. #6
    Benutzer
    Registriert seit
    20.09.2012
    Beiträge
    79
    Ich bin auch dafür!

  7. #7
    Erfahrener Benutzer
    Registriert seit
    27.08.2015
    Beiträge
    134
    Das ist über die custom.lua möglich. Ich such das am Montag mal raus wie wir das gemacht hatten (mit Anleitung von Herrn Keppler).

  8. #8
    Erfahrener Benutzer
    Registriert seit
    27.08.2015
    Beiträge
    134
    So hier mal die Auflösung, es gibt 2 Varianten.

    Variante 1 mit Standard PHP Version aus dem Repo:
    LC.web.addPHP(nil, "/opt/rh/php54/root/usr/bin/php-cgi")
    LC.web.addPHP("php55", "/opt/rh/php55/root/usr/bin/php-cgi")
    LC.web.addPHP("php52", "/opt/php_5.2.17/bin/php-cgi")

    Die erste Zeile betrifft die Standard Version.

    Variante 2 mit eigenen PHP Versionen die nicht über apt oder yum etc installiert wurden:
    LC.web.addPHP("php5", "/opt/rh/php54/root/usr/bin/php-cgi")
    LC.web.addPHP("php55", "/opt/rh/php55/root/usr/bin/php-cgi")
    LC.web.addPHP("php52", "/opt/php_5.2.17/bin/php-cgi")

    "php5" wäre hier die default PHP Version.

    Einfach die entsprechenden Pfade anpassen, nach Anpassung sollte man auch per liveconfig diag die PHP Versionen angezeigt bekommen.

  9. #9
    Erfahrener Benutzer
    Registriert seit
    21.07.2012
    Beiträge
    155
    Funktioniert bei mir leider nicht, habe sowohl die PHP-Version der Linux-Distribution als auch eigene PHP-Versionen installiert.

    Es können zwar alle PHP-Versionen ausgewählt werden, aber es kann keine eigene "Standard PHP-Version" deklariert werden.

  10. #10
    Erfahrener Benutzer
    Registriert seit
    27.08.2015
    Beiträge
    134
    Bei uns ist die "php5" eine selbst installierte bzw kompelierte PHP 5.4 die als Standard ausgewählt ist, die PHP 5.5 und 5.2 sind zusätzlich zur Auswahl vorhanden (CentOS Umgebung).

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •